<?php

namespace Planaday\Config\General\Api;

use Planaday\Config\General\GeneralOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum ApiOptionsEnum: string implements OptionGroupEnum {
	case DOMAIN = 'DOMAIN';
	case API_KEY = 'API_KEY';
	case REFRESH_INTERVAL_COURSES = 'REFRESH_INTERVAL_COURSES';
	case REFRESH_INTERVAL_DAY_PARTS = 'REFRESH_INTERVAL_DAY_PARTS';
	case REFRESH_INTERVAL_LOCATIONS = 'REFRESH_INTERVAL_LOCATIONS';
	case REFRESH_SIZE_COURSES = 'REFRESH_SIZE_COURSES';

	public static function getClassName(): string {
		return ApiSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return GeneralOptionsEnum::API_SETTINGS;
	}
}